#include "sh1106.hpp"

using namespace Devices::Sh1106;


uint8_t const Devices::Sh1106::INIT_SEQUENCE[24] PROGMEM = 
{
    CTRL_COMMAND | CTRL_N_BYTES,
    CMD_SET_DISPLAY_ON(false),
    CMD_SET_MULTIPLEX_RATIO, 0x3F,
    CMD_SET_DISPLAY_OFFSET, 0x00,
    CMD_SET_DISPLAY_START_LINE(0x00),
    CMD_SET_SEGMENT_REMAP(true),
    CMD_SET_COM_SCAN_DIRECTION_DEC,
    CMD_SET_COM_PINS_HW_CONF, 0x12,
    CMD_SET_CONTRAST, 0x7f,
    CMD_SET_ENTIRE_DISPLAY_ON(false),
    CMD_SET_INVERSED(false),
    CMD_SET_CLOCK_DIVIDE_FREQUENCY, 0xf0,
    CMD_SET_PRECHARGE_PERIOD, 0xff,
    CMD_SET_VCOMH_DESELECT_LEVEL, 0x40,
    CMD_SET_DCDC_CONTROL_MODE, CMD_SET_DCDC_ON(true),
    CMD_SET_DISPLAY_ON(true)
};